itpp::Filter< T1, T2, T3 > Class Template Referenceabstract
Signal Processing (SP) Module » Filtering

Virtual Filter Base Class. More...

`#include <itpp/signal/filter.h>`

Inheritance diagram for itpp::Filter< T1, T2, T3 >:

## Public Member Functions

| Filter ()
| Default constructor.
virtual T3 | operator() (const T1 Sample)
| Filter a single sample.
virtual Vec< T3 > | operator() (const Vec< T1 > &v)
| Filter a vector.
virtual | ~Filter ()
| Virtual destructor.

## Protected Member Functions

virtual T3 | filter (const T1 Sample)=0
| Pure virtual filter function. This is where the real filtering is done. Implement this function to create a new filter.

## Detailed Description

template<class T1, class T2, class T3>
class itpp::Filter< T1, T2, T3 >

Virtual Filter Base Class.

The class is templated as follows:

- `T1` is the type of the input samples
- `T2` is the type of the filter coefficients
- `T3` is the type of the output samples

Definition at line 54 of file filter.h.

## Constructor & Destructor Documentation

## Filter()

template<class T1, class T2, class T3>

itpp::Filter< T1, T2, T3 >::Filter | ( |  | ) |

inline

Default constructor.

Definition at line 58 of file filter.h.

Referenced by itpp::AR_Filter< T1, T2, T3 >::AR_Filter(), itpp::AR_Filter< T1, T2, T3 >::AR_Filter(), itpp::ARMA_Filter< T1, T2, T3 >::ARMA_Filter(), itpp::ARMA_Filter< T1, T2, T3 >::ARMA_Filter(), itpp::MA_Filter< T1, T2, T3 >::MA_Filter(), and itpp::MA_Filter< T1, T2, T3 >::MA_Filter().

## ~Filter()

template<class T1, class T2, class T3>

virtual itpp::Filter< T1, T2, T3 >::~Filter | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 64 of file filter.h.

## Member Function Documentation

## operator()() [1/2]

template<class T1, class T2, class T3>

virtual T3 itpp::Filter< T1, T2, T3 >::operator() | ( | const T1 | Sample | ) |

inline virtual

Filter a single sample.

Definition at line 60 of file filter.h.

References filter().

## operator()() [2/2]

template<class T1, class T2, class T3>

Vec< T3 > itpp::Filter< T1, T2, T3 >::operator() | ( | const Vec< T1 > & | v | ) |

virtual

Filter a vector.

Definition at line 315 of file filter.h.

References itpp::filter(), and itpp::Vec< Num_T >::length().

The documentation for this class was generated from the following file:

- itpp/signal/filter.h

Generated on for IT++ by Doxygen 1.15.0